apiVersion: v1
kind: ConfigMap
metadata:
  name: dbcheck
data:
  db-check.sh: |
    #!/bin/sh
    i=1
    until nslookup mysql
    do
    echo ///////////////////
    echo ///try number $i ///
    echo ///////////////////
    echo waiting for MySQL Database to be up!
    sleep 5
    i=`expr $i + 1`;
    if [ $i = 6 ]
    then
     echo "#######Maximum retries been reached"
     echo "#######DB is not up!!!!########" 
     exit 1
     fi
     done

   
